declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly modelValue: BooleanConstructor;
    readonly value: import("vue").PropType<import("./props").RadioValue>;
    readonly label: import("vue").PropType<string | number>;
    readonly disabled: BooleanConstructor;
}>, {
    prefixCls: string;
    handleClick: () => void;
    handleMouseOver: () => void;
    handleMouseOut: () => void;
    wrapperClass: import("vue").ComputedRef<string[]>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:modelValue")[], "change" | "update:modelValue", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly modelValue: BooleanConstructor;
    readonly value: import("vue").PropType<import("./props").RadioValue>;
    readonly label: import("vue").PropType<string | number>;
    readonly disabled: BooleanConstructor;
}>> & Readonly<{
    onChange?: (...args: any[]) => any;
    "onUpdate:modelValue"?: (...args: any[]) => any;
}>, {
    readonly disabled: boolean;
    readonly modelValue: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
